Create a new user

Creates a new user.

To enable the user to access an account, they must be assigned at least one role. A user will not be sent an email invite until assigned at least one role.

Follow these steps to create and configure a user:

  1. Create user: Create the user by calling POST /users.

  2. Get role(s): Use GET /roles to fetch the role_identifier(s) you wish to assign to the user.

  3. (Optional) Get account: If you need to assign roles for an account you're not currently logged into but within the same organization, retrieve the relevant account_identifier using GET clients/me/accounts.

  4. Assign user role: Use POST /users/USER_IDENTIFIER/roles to assign the user to an account with a list of role_identifier(s) and optionally the account_identifier if applicable.

You need the "Create and update users" permission to use this endpoint.

Body Params
boolean
required
Defaults to true

If the user should be created as active or deactivated. Defaults to true.

string
required
length between 1 and 100

Email address of the user.

string
required
length between 1 and 50

Full name of the user.

Responses

Language
Credentials
Bearer
LoadingLoading…
Response
Click Try It! to start a request and see the response here! Or choose an example:
application/json